Skip to content

Get Statistic Storage

GET /public/storage/statistic

Retrieve storage usage statistics for your workspace. Includes total file count, upload status breakdown, and storage capacity details.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Addon Storage

Example Request

bash
curl -X GET "https://api.repliz.com/public/storage/statistic" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from "axios";

const response = await axios.get(
  "https://api.repliz.com/public/storage/statistic",
  {
    auth: {
      username: "YOUR_ACCESS_KEY",
      password: "YOUR_SECRET_KEY",
    },
  },
);

console.log(response.data);
javascript
const credentials = btoa("YOUR_ACCESS_KEY:YOUR_SECRET_KEY");

const response = await fetch(
  "https://api.repliz.com/public/storage/statistic",
  {
    headers: {
      Authorization: `Basic ${credentials}`,
    },
  },
);

const data = await response.json();
console.log(data);

Response

json
{
  "file": {
    "total": 1,
    "success": 1,
    "pending": 0
  },
  "usage": {
    "total": 5368709120,
    "free": 5367653384,
    "used": 1055736
  }
}
json
{
  "code": 401,
  "message": "unauthorized"
}